<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>TimeController.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">plans</a> &gt; <span class="el_source">TimeController.java</span></div><h1>TimeController.java</h1><pre class="source lang-java linenums">package plans;
import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.time.LocalTime;
import java.util.logging.*;

<span class="fc" id="L7">public class TimeController implements Serializable {</span>
  private static final long serialVersionUID = 1905122041950251207L;
<span class="fc" id="L9">	private SimpleDateFormat sdf = new SimpleDateFormat(&quot;hh:mm:ss&quot;);</span>
	private LocalTime initialTime;
	private LocalTime finalTime;
	private LocalTime intervalOfTime;
<span class="fc" id="L13">	Logger logger = Logger.getLogger(TimeController.class.getName());</span>
	public boolean isBetweenTime(String initialTimeParameter,String finalTimeParameter, String intervalOfTimeParameter) 
	{
<span class="fc" id="L16">		transformTime(initialTimeParameter,finalTimeParameter,intervalOfTimeParameter);</span>
<span class="fc bfc" id="L17" title="All 2 branches covered.">		if (intervalOfTime.isBefore(finalTime))</span>
<span class="pc bpc" id="L18" title="1 of 4 branches missed.">			return initialTime.isAfter(finalTime) || initialTime.isBefore(intervalOfTime);</span>
		else
<span class="fc bfc" id="L20" title="All 4 branches covered.">			return initialTime.isAfter(finalTime) &amp;&amp; initialTime.isBefore(intervalOfTime);</span>
	}
	
	@SuppressWarnings(&quot;deprecation&quot;)
	public Boolean transformTime(String initialTimeParameter,String finalTimeParameter, String intervalOfTimeParameter) {
        try
        {
<span class="fc" id="L27">          java.util.Date initialDate = sdf.parse(initialTimeParameter); </span>
<span class="fc" id="L28">          java.util.Date finalDate = sdf.parse(finalTimeParameter); </span>
<span class="fc" id="L29">          java.util.Date intervalDate = sdf.parse(intervalOfTimeParameter); </span>
          
<span class="fc" id="L31">          initialTime = LocalTime.of(initialDate.getHours(), initialDate.getMinutes(),initialDate.getSeconds());</span>
<span class="fc" id="L32">          finalTime = LocalTime.of(finalDate.getHours(), finalDate.getMinutes(),finalDate.getSeconds());</span>
<span class="fc" id="L33">          intervalOfTime = LocalTime.of(intervalDate.getHours(), intervalDate.getMinutes(),intervalDate.getSeconds());      </span>
<span class="fc" id="L34">          return true;</span>
        } 
<span class="fc" id="L36">        catch (Exception e)</span>
        {
<span class="fc" id="L38">        	logger.log(Level.INFO,&quot;Error transform Time ::&quot;, e);</span>
<span class="fc" id="L39">        	return false;</span>
        }
	}

	@SuppressWarnings(&quot;deprecation&quot;)
	public double convertHourToSeconds(String hour)
	{
		double totalSeconds;
	    try
	    {
<span class="fc" id="L49">	    	java.util.Date date = sdf.parse(hour);        </span>
<span class="fc" id="L50">	    	totalSeconds = ((date.getHours() * 3600) + (date.getMinutes() * 60) + (date.getSeconds()));</span>
<span class="fc" id="L51">	    	return totalSeconds;</span>
	    } 
<span class="fc" id="L53">	    catch (Exception e) </span>
	    {
<span class="fc" id="L55">				logger.log(Level.INFO,&quot;Error convert to Hour to seconds&quot;, e);</span>
	    }
<span class="fc" id="L57">	    return 0;</span>
	}	
}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>